using System;
using System.Text.Json.Serialization;
namespace org.accordproject.value {
   using concerto;
   class QuantitativeValue : Concept {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.value.QuantitativeValue";
      public string unitCode { get; set; }
      public string unitText { get; set; }
      public float value { get; set; }
   }
   enum UnitOfMass {
      GRAM,
      KG,
      TONNE,
   }

   enum UnitOfLength {
      METER,
   }

   enum UnitOfDensity {
      KG_PER_CUBIC_METER,
   }

   enum UnitOfVolume {
      CUBIC_METER,
   }

   enum UnitOfTemperature {
      KELVINS,
      CELSIUS,
      FAHRENHEIT,
   }

}
